--- old/usr/src/uts/common/crypto/io/aes.c	sam. juil. 16 15:13:40 2016
+++ new/usr/src/uts/common/crypto/io/aes.c	sam. juil. 16 15:13:40 2016
@@ -52,8 +52,8 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	(void *)&modlcrypto,
-	NULL
+	{   (void *)&modlcrypto,
+	    NULL }
 };
 
 /*
@@ -174,27 +174,27 @@
 	aes_free_context
 };
 
-static crypto_ops_t aes_crypto_ops = {
-	&aes_control_ops,
-	NULL,
-	&aes_cipher_ops,
-	&aes_mac_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&aes_ctx_ops,
-	NULL,
-	NULL,
-	NULL,
-};
+static crypto_ops_t aes_crypto_ops = {{{{{{
+				&aes_control_ops,
+				NULL,
+				&aes_cipher_ops,
+				&aes_mac_ops,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				&aes_ctx_ops },	/* cou_v1 */
+			NULL },			/* cou_v2 */
+		NULL },				/* cou_v3 */
+	NULL }					/* cou_v4 */
+}};
 
-static crypto_provider_info_t aes_prov_info = {
+static crypto_provider_info_t aes_prov_info = {{{{
 	CRYPTO_SPI_VERSION_4,
 	"AES Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -203,7 +203,7 @@
 	&aes_crypto_ops,
 	sizeof (aes_mech_info_tab)/sizeof (crypto_mech_info_t),
 	aes_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t aes_prov_handle = NULL;
 static crypto_data_t null_crypto_data = { CRYPTO_DATA_RAW };
